<?php
/* 
 
                       .::::. 
                     .::::::::. 
                    :::::::::::  I want to say... 
                ..:::::::::::' 
              '::::::::::::' 
                .:::::::::: 
           '::::::::::::::.. 
                ..::::::::::::. 
              ``:::::::::::::::: 
               ::::``:::::::::'        .:::. 
              ::::'   ':::::'       .::::::::. 
            .::::'      ::::     .:::::::'::::. 
           .:::'       :::::  .:::::::::' ':::::. 
          .::'        :::::.:::::::::'      ':::::. 
         .::'         ::::::::::::::'         ``::::. 
     ...:::           ::::::::::::'              ``::. 
    ```` ':.          ':::::::::'                  ::::.. 
                       '.:::::'                    ':'````.. 
 
 
*/  
class IndexController extends Controller {
  public function index() {
    $index = $this -> model('Index');
    $db = $index -> index();
    $url = $this -> post('url');
    if ($url) {
      $user_url_active = $index -> checkauth2($url);
      $db[0]['user_url_active'] = $user_url_active;
      $db[0]['user_url'] = $url;
      $return_url = '<label>查询域名：</label>'.$url.'<br>';
      if($user_url_active == 1) {
        $return = '<label>查询结果：</label><font color="green">正版授权</font>';
      }else if($user_url_active == 0){
          $return = '<label>查询结果：</label><font color="red">授权到期</font>';
      }else if($user_url_active == -1){
        $return = '<label>查询结果：</label><font color="red">尚未授权</font>';
      }
      $db[0]['return'] = $return_url.$return;
      $this -> view('index/index',$db[0]);
    } else {
      $this -> view('index/index',$db[0]);
    } 
  }

  public function check() {
    $date = date("Y-m-d H:i:s");
    $url = $this -> get('url');
    $authcode = $this -> get('authcode');
    $index = $this -> model('Index');
    $db = $index -> index();
    $success = $db[0]['success'];
    $content = $db[0]['content'];
    $block = $db[0]['block'];
    $dq = $db[0]['dq'];
    if ($url and $authcode) {
      $number = $index -> checkauth3($url,$authcode);
      $add_block = $index -> block_url($url);
      if($number == 1) {
        $result = array("code" => '1', "msg" => $success);
      }else if($number == 0) {
        if($add_block){
          $result = array("code" => '-3', "msg" => $content);
        }else{
          $index -> block($url,"0",$date);
          $result = array("code" => '0', "msg" => $content);
        }
      }else if($number == -1) {
        if($add_block){
          $result = array("code" => '-2', "msg" => $block);
        } else {
          $index -> block($url,$authcode,$date);
          $result = array("code" => '-1', "msg" => $block);
        } 
      } else if($number == 2) {
        if($add_block){
          $result = array("code" => '-4', "msg" => $dq);
        } else {
          $index -> block($url,"0",$date);
          $result = array("code" => '-5', "msg" => $dq);
        } 
      }
    }
    @header('content-type:application/json;charset=utf8');
    echo json_encode($result,JSON_UNESCAPED_UNICODE);
  }

  public function login() {
    $date = date("Y-m-d H:i:s");
    $index = $this -> model('Index');
    if($this -> post('user') and $this -> post('pass')) {
      $user = $this -> post('user');
      $pass = $this -> post('pass');
      $row = $index -> login($user);
      if ($row['user'] == false) {
        E('此用户不存在');
      } else if ($pass != $row['pass']) {
        E('用户名或密码不正确！');
      } else if ($row['user'] == $user and $row['pass'] == $pass and $row['active'] != 1) {
        E('您的授权平台账号已被封禁');
      } else if ($row['user'] == $user and $row['pass'] == $pass and $row['active'] == 1) {
        $this -> set_session('user',$row['uid']);
        $clientip = getip();
        $city = get_ip_city($clientip);
        $index -> auth_log($row['uid'],'登陆平台',$date,$city,"IP:{$clientip}");
        E('登陆授权平台成功！','tz','/Admin/index/');
      }
    } else {
      $db = $index -> index();
      $this -> view('index/login',$db[0]);
    }
  }

  public function tj() {
    $url = $this -> get('url');
    $host = $this -> get('host');
    $user = $this -> get('user');
    $pwd = $this -> get('pwd');
    $authcode = $this -> get('authcode');

    if ($url == "" || $user == "" || $pwd == "" || $authcode == "") {
      exit("error,所有值不能为空!");
    } 

    if ($url == "127.0.0.1" || $url == "localhost"){
      exit("error,你提交的地址为本地!");
    }

    if (file_get_contents("http://" . $_GET['url']) == false) {
      exit("error,你提交的网址无法访问!");
    } 
    $index = model('Index');
    $zb = $index -> cx('auth_site',$url);
    $cf = $index -> cx('auth_block',$url);
    foreach ($zb as $value) {
      if ($value['active'] == 1) {
        exit("error,你提交的网址为正版站点!");
      }
    }
    $data = array(
      'url' => $url,
      'host' => $host,
      'user' => $user,
      'pwd' => $pwd,
      'authcode' => $authcode,
    );
    foreach ($cf as $value) {
      if ($value['url'] != $url || $value['authcode'] != $authcode || $value['host'] != $host || $value['url'] != $user || $value['pwd'] != $pwd) {
        if (!($index -> db_update($url,$host,$user,$pwd,$authcode))) {
          exit("OK,更新成功");
        } else {
          exit("error");
        }
      }

      if ($value['url'] == $url){
        exit("error,数据库内已存在这条值");
      }

      if (!($index -> db_insert($url,$host,$user,$pwd,$authcode))) {
        echo " OK!";
      } else {
        echo " NO!";
      }
    }
  }

    public function go() {
    $url = $this -> get('url');
    $url = 'http://'.$url.'/';
    go($url,3,'请稍等....');
  }
}