<?php
/* 
 
                       .::::. 
                     .::::::::. 
                    :::::::::::  I want to say... 
                ..:::::::::::' 
              '::::::::::::' 
                .:::::::::: 
           '::::::::::::::.. 
                ..::::::::::::. 
              ``:::::::::::::::: 
               ::::``:::::::::'        .:::. 
              ::::'   ':::::'       .::::::::. 
            .::::'      ::::     .:::::::'::::. 
           .:::'       :::::  .:::::::::' ':::::. 
          .::'        :::::.:::::::::'      ':::::. 
         .::'         ::::::::::::::'         ``::::. 
     ...:::           ::::::::::::'              ``::. 
    ```` ':.          ':::::::::'                  ::::.. 
                       '.:::::'                    ':'````.. 
 
 
*/  
class AdminModel extends Model {
  public function index() {
    $link = new Model();
    $zb = $link -> count("auth_site");
    return $zb;
  }

  public function index1() {
    $link = new Model();
    $db = $link -> count("auth_block");
    return $db;
  }

  public function check() {
    $link = new Model();
    $row = $link -> select("auth_user",'per_db',["uid=" => $_SESSION['user']]);
    return isset($row)?$row[0]:false;
  }

  public function add($phone,$url,$money,$date,$enddate,$authcode) {
    $link = new Model();
    $row = $link -> select("auth_site",'phone',["url=" => $url]);
    if (!empty($row[0])) {
      return 1;
    } else {
      $link -> insert('auth_site',[
        'phone' => $phone,
        'url' => $url,
        'money' => $money,
        'url' => $url,
        'authcode' => $authcode,
        'startdate' => $date,
        'enddate' => $enddate,
        'active' => 1
      ]);
      return 2;
    }
    
  }

  public function adduser($user,$pass,$per_db,$active) {
    $link = new Model();
    $row = $link -> select("auth_user",'user',["user=" => $user]);
    if (!empty($row[0])) {
      return 1;
    } else {
      $link -> insert('auth_user',[
        'user' => $user,
        'pass' => $pass,
        'per_db' => $per_db,
        'active' => $active
      ]);
      return 2;
    }
  }

  public function auth($url) {
    $link = new Model();
    $row = $link -> select("auth_site",'*',["url=" => $url]);
    if (isset($row[0])) {
      return $row[0];
    } else {
      return false;
    }
    
  }

  public function set($title,$keywords,$description,$kfqq,$kfphone,$key,$success,$block,$content,$dq,$footer) {
    $link = new Model();
    $link -> update('auth_config',[
        'title' => $title,
        'keywords' => $keywords,
        'description' => $description,
        'kfqq' => $kfqq,
        'kfphone' => $kfphone,
        'key' => $key,
        'block' => $block,
        'content' => $content,
        'dq' => $dq,
        'footer' => $footer
      ]);
  }

  public function pwd($oldpass,$newpass) {
    $link = new Model();
    $row = $link -> select("auth_user",'pass',["uid=" => $_SESSION['user']]);
    if ($row[0] == $oldpass) {
      $link -> update('auth_user',[
        'pass' => $newpass
      ],["uid=" => $_SESSION['user']]);
      return true;
    } else {
      return false;
    }
  }

  public function usercount() {
    $link = new Model();
    $gls = $link -> count("auth_user");
    return $gls;
  }

  public function userlist($pageu,$pagesize) {
    $link = new Model();
    $return = $link -> query("SELECT * FROM auth_user order by uid desc limit $pageu,$pagesize") ->fetchAll();
    return $return;
  }

  public function useredit($uid,$per,$user,$pass) {
    $link = new Model();
    $link -> update('auth_user',[
        'pass' => $pass,
        'per_db' => $per,
        'user' => $user,
      ],["uid=" => $uid]);
  }

  public function user_msg($uid) {
    $link = new Model();
    $db = $link -> select("auth_user",'*',["uid=" => $uid]);
    return isset($db)?$db[0]:false;
  }

  public function userdel($uid) {
    $link = new Model();
    $link -> delete("auth_user",["uid=" => $uid]);
  }

  public function listcount($key = NULL,$var = NULL) {
    $link = new Model();
    if (is_null($key)) {
      $gls = $link -> count("auth_site");
    } else {
      $gls = $link -> count("auth_site",[$key => $var]);
    }
    
    return $gls;
  }

  public function urllist($pageu,$pagesize,$sql) {
    $link = new Model();
    $return = $link -> query("SELECT * FROM auth_site WHERE $sql order by id desc limit $pageu,$pagesize") -> fetchAll();
    return $return;
  }

  public function url_msg($id) {
    $link = new Model();
    $db = $link -> select("auth_site",'*',["id=" => $id]);
    return isset($db)?$db[0]:false;
  }

  public function edit($id,$phone,$url,$authcode,$money,$enddate,$active) {
    $link = new Model();
    $link -> update('auth_site',[
        'phone' => $phone,
        'url' => $url,
        'authcode' => $authcode,
        'money' => $money,
        'enddate' => $enddate,
        'active' => $active
      ],["id=" => $id]);
  }

  public function del($id) {
    $link = new Model();
    $link -> delete("auth_site",["id=" => $id]);
  }

  public function piratecount() {
    $link = new Model();
    $gls = $link -> count("auth_block");
    return $gls;
  }

  public function piratelist($pageu,$pagesize) {
    $link = new Model();
    $return = $link -> query("SELECT * FROM auth_block order by date desc limit $pageu,$pagesize") ->fetchAll();
    return $return;
  }

  public function getpwd($url) {
    $link = new Model();
    $db = $link -> select("auth_block",'*',["url=" => $url]);
    return isset($db)?$db[0]:false;
  }

  public function delpirate($url) {
    $link = new Model();
    $link -> delete("auth_block",["url=" => $url]);
  }
}