<?php
/* 
 
                       .::::. 
                     .::::::::. 
                    :::::::::::  I want to say... 
                ..:::::::::::' 
              '::::::::::::' 
                .:::::::::: 
           '::::::::::::::.. 
                ..::::::::::::. 
              ``:::::::::::::::: 
               ::::``:::::::::'        .:::. 
              ::::'   ':::::'       .::::::::. 
            .::::'      ::::     .:::::::'::::. 
           .:::'       :::::  .:::::::::' ':::::. 
          .::'        :::::.:::::::::'      ':::::. 
         .::'         ::::::::::::::'         ``::::. 
     ...:::           ::::::::::::'              ``::. 
    ```` ':.          ':::::::::'                  ::::.. 
                       '.:::::'                    ':'````.. 
 
 
*/  
class AdminController extends Controller {
  public function index() {
    $this -> head();
    $admin = $this -> model('Admin');
    $zb = $admin -> index();
    $db = $admin -> index1();
    $date = date("Y-m-d H:i:s");
    $data = array(
      'zb' => $zb,
      'db' => $db,
      'date' => $date
    );
    $this -> view('/admin/index',$data);
  }

  public function add() {
    $this -> head();
    $date = date("Y-m-d H:i:s");
    if($this -> post('submit')) {
      $admin = $this -> model('Admin');
      $phone = $this -> post('phone');
      $url = $this -> post('url');
      $money = $this -> post('money');
      $enddate = $this -> post('enddate');
      $authcode = md5(random(32).$phone.$date.$url.$money);
      $return = $admin -> add($phone,$url,$money,$date,$enddate,$authcode);

      if ($return == 1) {
        E('授权平台已存在该网址！');
      } else if ($return == 2) {
        $index = $this -> model('Index');
        $clientip = getip();
        $city = get_ip_city($clientip);
        $index -> auth_log($_SESSION['user'],'新增授权',$date,$city,"{$phone}|{$url}");
        E('添加授权网址成功!');
      }
      
    } else {
      $data = array(
      'date' => date("Y-m-d H:i:s")
    );
    $this -> view('/admin/add',$data);
    }
  }

  public function adduser() {
    $this -> head(1);
    if($this -> post('submit')) {
      $admin = $this -> model('Admin');
      $user = $this -> post('user');
      $pass = $this -> post('pass');
      $per = $this -> post('per');
      if ($per == 1) {
        $per_db = 0;
        $per_db = 1;
        $active = 1;
      } else if ($per == 0) {
        $per_db = 1;
        $per_db = 0;
        $active = 1;
      }
      $return = $admin -> adduser($user,$pass,$per_db,$active);
      if ($return == 1) {
        showmsg('用户名已存在',3);
        exit;
      } else if ($return == 2) {
        $date = date("Y-m-d H:i:s");
        $index = $this -> model('Index');
        $clientip = getip();
        $city = get_ip_city($clientip);
        $index -> auth_log($_SESSION['user'],'添加用户',$date,$city,"{$user}|{$clientip}");
        E('添加用户成功！');
      }
    } else {
      $this -> view('/admin/adduser');
    }
  }
    
  public function auth() {
    $this -> head();
    $url = $this -> request('url');
    if ($url) {
        $admin = $this -> model('Admin');
        $row = $admin -> auth($url);
        if ($row) {
          $data['phone'] = $row['phone'];
          $data['money'] = $row['money'];
          $data['authcode'] = $row['authcode'];
          $data['startdate'] = $row['startdate'];
          $data['enddate'] = $row['enddate'];
          $data['select'] = 1;
        $this -> view('/admin/auth',$data);
        } else {
          showmsg('查无此授权站点',3);
          exit;
        }
        
      } else {
        $data['select'] = 0;
        $this -> view('/admin/auth',$data);
      }
      
  }

  public function set() {
    $this -> head(1);
    if ($this -> post('submit')) {
      $title = $this -> post('title');
      $keywords = $this -> post('keywords');
      $description = $this -> post('description');
      $kfqq = $this -> post('kfqq');
      $kfphone = $this -> post('kfphone');
      $key = $this -> post('key');
      $success = $this -> post('success');
      $block = $this -> post('block');
      $content = $this -> post('content');
      $dq = $this -> post('dq');
      $footer = strval($this -> post('footer',0));

      $admin = $this -> model('Admin');
      $admin -> set($title,$keywords,$description,$kfqq,$kfphone,$key,$success,$block,$content,$dq,$footer);
      showmsg('修改成功！',1);
      exit;
    } else {
      $index = $this -> model('Index');
      $db = $index -> index();
      $this -> view('/admin/set',$db[0]);
    }
  }

  public function password() {
    $this -> head();
    if ($this -> post('submit')) {
      $oldpass = $this -> post('oldpass');
      $newpass = $this -> post('newpass');
      $admin = $this -> model('Admin');
      $return = $admin -> pwd($oldpass,$newpass);
      if ($return) {
        showmsg('修改成功！',1);
        exit;
      } else {
        showmsg('原密码错误！',4);
        exit;
      }
    } else {
      $this -> view('/admin/password');
    }
    
  }

  public function userlist() {
    $this -> head(1);
    $pagesize = 30;
    if ($this -> get('page')) {
      $page = $this -> get('page');
      $pageu = ($page - 1) * $pagesize;
    } else {
      $page = 1;
      $pageu = $page - 1;
    }
    $admin = $this -> model('Admin');
    $gls = $admin -> usercount();
    $return = $admin -> userlist($pageu,$pagesize);
    $data = array(
      'gls' => $gls,
      'row' => $return,
      'pagesize' => $pagesize,
      'page' => $page
    );
    $this -> view('/admin/userlist',$data);
  }

  public function useredit() {
    $this -> head(1);
    $do = $this -> get('do');
    $uid = $this -> get('uid');
    if (!$uid or !$do) {
      E('参数错误');
    }
    $admin = $this -> model('Admin');
    $user_msg = $admin -> user_msg($uid);
    if (!$user_msg) {
      E('平台不存在该用户！');
    }
    $data = array(
      'uid' => $uid,
      'per_db' => $user_msg['per_db'],
      'user' => $user_msg['user']
    );
    if ($this -> post('submit')) {
      $per = $this -> post('per');
      $user = $this -> post('user');
      $pass = $this -> post('pass');
      if ($do and $uid) {
        if ($do == 'edit') {
          if ($uid == $_SESSION['user']) {
            showmsg('您无法修改自己的账号',3);
            exit;
          } else {
            $return = $admin -> useredit($uid,$per,$user,$pass);
            E('修改成功');
          }
          
        }
      } else {
        E('参数错误');
      }
    } else if ($do == 'del' and $uid) {
      if ($uid == $_SESSION['user']) {
        showmsg('您无法删除自己的账号',3);
        exit;
      } else {
        $return = $admin -> userdel($uid);
        E('成功此删除用户');
      }
      
    } else if ($do and $uid) {
      $this -> view('/admin/useredit',$data);
    }
  }

  public function urllist() {
    $this -> head(1);
    $admin = $this -> model('Admin');
    if ($this -> post('kw')) {
      $kw = $this -> post('kw');
      $method = $this -> post('method');
      $type = $this -> post('type');
      if($type == 1) {
        $sql = ($method == 1)?" `phone` LIKE '%{$kw}%'":" `phone`='{$kw}'";
        $get_candy = 'phone';
      } else if($type == 2) {
        $sql = ($method == 1)?" `url` LIKE '%{$kw}%'":" `url`='{$kw}'";
        $get_candy = 'url';
      } else if($type == 3){
        $sql = ($method == 1)?" `authcode` LIKE '%{$kw}%'":" `authcode`='{$kw}'";
        $get_candy = 'authcode';
      }
      $gls = $admin -> listcount($get_candy,$kw);
      $con = '包含 '.$kw .' 的共有 <b>'.$gls.'</b> 个域名';
    }else if ($this -> get('phone')) {
      $phone = $this -> get('phone');
      $sql =  "`phone` = '{$phone}'";
      $gls = $admin -> listcount('phone',$phone);
      $con = '该手机号 '.$phone.' 共有 <b>'.$gls.'</b> 个域名';
    } else {
      $sql = '1';
      $gls = $admin -> listcount();
      $con = '平台共有 <b>'.$gls.'</b> 个域名';
    }
    $pagesize = 30;
    //var_dump($_GET['page']);
    if ($this -> request('page')) {
      $page = $this -> request('page');
      $pageu = ($page - 1) * $pagesize;
    } else {
      $page = 1;
      $pageu = $page - 1;
    }
    $return = $admin -> urllist($pageu,$pagesize,$sql);
    $data = array(
      'gls' => $gls,
      'con' => $con,
      'row' => $return,
      'pagesize' => $pagesize,
      'page' => $page
    );
    $this -> view('/admin/list',$data);
  }

  
  public function edit() {
    $this -> head(1);
    $do = $this -> get('do');
    $id = $this -> get('id');
    if (!$id or !$do) {
      E('参数错误');
    }
    $admin = $this -> model('Admin');
    $url_msg = $admin -> url_msg($id);
    if (!$url_msg) {
      E('授权平台不存在该记录！');
    }
    $data = array(
      'id' => $id,
      'phone' => $url_msg['phone'],
      'url' => $url_msg['url'],
      'authcode' => $url_msg['authcode'],
      'money' => $url_msg['money'],
      'enddate' => $url_msg['enddate'],
      'active' => $url_msg['active']
    );
    if ($this -> post('submit')) {
      $phone = $this -> post('phone');
      $url = $this -> post('url');
      $authcode = $this -> post('authcode');
      $money = $this -> post('money');
      $enddate = $this -> post('enddate');
      $active = $this -> post('active');
      if ($do and $id) {
        if ($do == 'edit') {
          if (strlen($authcode) != 32) {
            showmsg('授权码格式错误！',3);
            exit;
          } else {
            $return = $admin -> edit($id,$phone,$url,$authcode,$money,$enddate,$active);
            E('修改成功');
          } 
        }
      } else {
        E('参数错误');
      }
    } else if ($do == 'del' and $id) {
      $return = $admin -> del($id);
      E('成功此删除用户');
    } else if ($do and $id) {
      $this -> view('/admin/edit',$data);
    }
  }

  public function search() {
    $this -> head(1);
    $this -> view('/admin/search');
  }


  public function pirate() {
    $this -> head(1);
    $pagesize = 30;
    if ($this -> get('page')) {
      $page = $this -> get('page');
      $pageu = ($page - 1) * $pagesize;
    } else {
      $page = 1;
      $pageu = $page - 1;
    }
    $admin = $this -> model('Admin');
    $gls = $admin -> piratecount();
    $return = $admin -> piratelist($pageu,$pagesize);
    $data = array(
      'gls' => $gls,
      'row' => $return,
      'pagesize' => $pagesize,
      'page' => $page
    );
    $this -> view('/admin/pirate',$data);
  }

  public function getpwd() {
    $this -> head(1);
    $do = $this -> get('do');
    $url = $this -> get('url');
    if ($do) {
      $admin = $this -> model('Admin');
      $return = $admin -> delpirate($url);
      E('成功此删除');
    } else {
      if (!$url) {
        E('参数错误');
      }
      $admin = $this -> model('Admin');
      $db = $admin -> getpwd($url);
      if (!$db) {
        E('参数错误');
      }
      $data = array(
        'url' => $url,
        'host' => $db['host'],
        'user' => $db['user'],
        'pwd' => $db['pwd'],
        'date' => $db['date']
      );
      $this -> view('/admin/getpwd',$data);
    }
  }







  public function logout() {
    $this -> unset_session('user');
    E('退出授权平台成功！','tz','/Index/login/');
  }


  private function head($var = NULL) {
    $index = $this -> model('Index');
    $db = $index -> index();
    $this -> view('/admin/head',$db[0]);
    $this -> check($var);
  }

  private function check($var = NULL) {
    if (is_null($var)) {
      if (!$this -> is_session('user')) :
        E('非法登入!');
      endif;
    } else if ($var == 1) {
      if (!$this -> is_session('user')) :
        E('非法登入!');
      endif;
      $admin = $this -> model('Admin');
      $per_db = $admin -> check();
      if($per_db == 0) :
        showmsg('您的账号没有权限使用此功能',3);
        exit;
      endif;
    }
  }
}