<?php
/**
 * 函数模块
 */

/* 
 
                       .::::. 
                     .::::::::. 
                    :::::::::::  I want to say... 
                ..:::::::::::' 
              '::::::::::::' 
                .:::::::::: 
           '::::::::::::::.. 
                ..::::::::::::. 
              ``:::::::::::::::: 
               ::::``:::::::::'        .:::. 
              ::::'   ':::::'       .::::::::. 
            .::::'      ::::     .:::::::'::::. 
           .:::'       :::::  .:::::::::' ':::::. 
          .::'        :::::.:::::::::'      ':::::. 
         .::'         ::::::::::::::'         ``::::. 
     ...:::           ::::::::::::'              ``::. 
    ```` ':.          ':::::::::'                  ::::.. 
                       '.:::::'                    ':'````.. 
 
 
*/  

if(!defined('ROOT')){exit('No direct script access allowed');}

//打印函数
function p($arr) {
	if (is_bool($arr)) {
    	var_dump($arr);
  	} else if (is_null($arr)) {
    	var_dump(NULL);
  	} else {
    	echo "<pre style='padding:10px;border_radius:5px;background:#f5f5f5;border:1px solid #ccc;'>";
    	print_r($arr);
    	echo "</pre>";
  	}
}

//跳转函数
function go($url,$time = 0,$msg = '') {
	if (!headers_sent()) {
    	$time = 0 ? header('Location:'.$url):header("refresh:{$time};url={$url}");
    	die($msg);
  	} else {
    	echo "<meta http_equiv='refresh' content='{$time};URL={$url}'>";
    	if ($time) die($msg);
  	}
}

//获取IP
function getip() {
$ip = $_SERVER['REMOTE_ADDR'];
if(isset($_SERVER['HTTP_X_FORWARDED_FOR']) && preg_match_all('#\d{1,3}\.\d{1,3}\.\d{1,3}\.\d{1,3}#s', $_SERVER['HTTP_X_FORWARDED_FOR'], $matches)) {
  foreach ($matches[0] AS $xip) {
    if (!preg_match('#^(10|172\.16|192\.168)\.#', $xip)) {
      $ip = $xip;
      break;
    }
  }
} else if (isset($_SERVER['HTTP_CLIENT_IP']) && preg_match('/^([0-9]{1,3}\.){3}[0-9]{1,3}$/', $_SERVER['HTTP_CLIENT_IP'])) {
  $ip = $_SERVER['HTTP_CLIENT_IP'];
} else if (isset($_SERVER['HTTP_CF_CONNECTING_IP']) && preg_match('/^([0-9]{1,3}\.){3}[0-9]{1,3}$/', $_SERVER['HTTP_CF_CONNECTING_IP'])) {
  $ip = $_SERVER['HTTP_CF_CONNECTING_IP'];
} else if (isset($_SERVER['HTTP_X_REAL_IP']) && preg_match('/^([0-9]{1,3}\.){3}[0-9]{1,3}$/', $_SERVER['HTTP_X_REAL_IP'])) {
  $ip = $_SERVER['HTTP_X_REAL_IP'];
}
return $ip;
}

function get_ip_city($ip) {
    $url = 'http://int.dpool.sina.com.cn/iplookup/iplookup.php?format=json&ip=';
    $controller = new Controller();
    @$city = $controller -> curl($url,$ip);
    $city = json_decode($city, true);
    if ($city['city']) {
        $location = $city['province'].$city['city'];
    } else {
        $location = $city['province'];
    }
  if ($location) {
    return $location;
  } else {
    return false;
  }
} 

//用户常量
function p_const() {
  $const = get_defined_constants(true);
  p($const['user']);
}

  //E方法 执行跳转以及返回上一页
function E($arr,$lx = 'history',$alink = null) {
  if($lx == 'tz'){
    exit("<script language='javascript'>alert('{$arr}');window.location.href='{$alink}';</script>");
  } else {
    exit("<script language='javascript'>alert('{$arr}');history.go(-1);</script>");
  }
}

//错误函数
function halt($error,$level = 'ERROR',$type = 3,$dest = NULL) {
  if (is_array($error)) {
    LOG::error($error['message'],$level,$type,$dest);
  } else {
    LOG::error($error,$level,$type,$dest);
  }

  $e = array();
  if (APP_DEBUG) {
    if (!is_array($error)) {
      $trace = debug_backtrace();
      $e['message'] = $error;
      $e['file'] = $trace[0]['file'];
      $e['line'] = $trace[0]['line'];
      $e['class'] = isset($trace[0]['class'])?$trace[0]['class']:'';
      $e['function'] = isset($trace[0]['function'])?$trace[0]['function']:'';
      ob_start();
      debug_print_backtrace();
      $e['trace'] = htmlspecialchars(ob_get_clean());
    } else {
      $e = $error;
    }
  } else {
    $url = Config::get_file('ERROR_URL','config');
    if ($url) {
      go($url);
    } else {
      $e['message'] = Config::get_file('ERROR_MSG','config');
    }
  }
  include ERROR.'/halt.html';
  die();
}

function authcode($string, $operation = 'DECODE', $key = '', $expiry = 0) {
  $ckey_length = 4;
  $key = md5($key ? $key : ENCRYPT_KEY);
  $keya = md5(substr($key, 0, 16));
  $keyb = md5(substr($key, 16, 16));
  $keyc = $ckey_length ? ($operation == 'DECODE' ? substr($string, 0, $ckey_length): substr(md5(microtime()), -$ckey_length)) : '';
  $cryptkey = $keya.md5($keya.$keyc);
  $key_length = strlen($cryptkey);
  $string = $operation == 'DECODE' ? base64_decode(substr($string, $ckey_length)) : sprintf('%010d', $expiry ? $expiry + time() : 0).substr(md5($string.$keyb), 0, 16).$string;
  $string_length = strlen($string);
  $result = '';
  $box = range(0, 255);
  $rndkey = array();
  for($i = 0; $i <= 255; $i++) {
    $rndkey[$i] = ord($cryptkey[$i % $key_length]);
  }
  for($j = $i = 0; $i < 256; $i++) {
    $j = ($j + $box[$i] + $rndkey[$i]) % 256;
    $tmp = $box[$i];
    $box[$i] = $box[$j];
    $box[$j] = $tmp;
  }
  for($a = $j = $i = 0; $i < $string_length; $i++) {
    $a = ($a + 1) % 256;
    $j = ($j + $box[$a]) % 256;
    $tmp = $box[$a];
    $box[$a] = $box[$j];
    $box[$j] = $tmp;
    $result .= chr(ord($string[$i]) ^ ($box[($box[$a] + $box[$j]) % 256]));
  }
  if($operation == 'DECODE') {
    if((substr($result, 0, 10) == 0 || substr($result, 0, 10) - time() > 0) && substr($result, 10, 16) == substr(md5(substr($result, 26).$keyb), 0, 16)) {
      return substr($result, 26);
    } else {
      return '';
    }
  } else {
    return $keyc.str_replace('=', '', base64_encode($result));
  }
}

function random($length, $numeric = 0) {
  $seed = base_convert(md5(microtime().$_SERVER['DOCUMENT_ROOT']), 16, $numeric ? 10 : 35);
  $seed = $numeric ? (str_replace('0', '', $seed).'012340567890') : ($seed.'zZ'.strtoupper($seed));
  $hash = '';
  $max = strlen($seed) - 1;
  for($i = 0; $i < $length; $i++) {
    $hash .= $seed{mt_rand(0, $max)};
  }
  return $hash;
}

function UNHTML($content){
  $content=htmlspecialchars($content);
  $content=str_ireplace(chr(13),"<br>",$content);
  $content=str_ireplace(chr(32)," ",$content);
  $content=str_ireplace("[_[","<",$content);
  $content=str_ireplace(")_)",">",$content);
  $content=str_ireplace("|_|"," ",$content);
  return trim($content);
}

?>