<?php
/**
 * 路由类
 */

/* 
 
                       .::::. 
                     .::::::::. 
                    :::::::::::  I want to say... 
                ..:::::::::::' 
              '::::::::::::' 
                .:::::::::: 
           '::::::::::::::.. 
                ..::::::::::::. 
              ``:::::::::::::::: 
               ::::``:::::::::'        .:::. 
              ::::'   ':::::'       .::::::::. 
            .::::'      ::::     .:::::::'::::. 
           .:::'       :::::  .:::::::::' ':::::. 
          .::'        :::::.:::::::::'      ':::::. 
         .::'         ::::::::::::::'         ``::::. 
     ...:::           ::::::::::::'              ``::. 
    ```` ':.          ':::::::::'                  ::::.. 
                       '.:::::'                    ':'````.. 
 
 
*/  

if(!defined('ROOT')){exit('No direct script access allowed');}

final class Route {
	public $controller;
	public $action;
	public $get;

	public function __construct() {
		
		$path = $_SERVER['REQUEST_URI'];
		if (isset($path) and $path != '/') {

			if (!file_exists($path) and strpos($path, '.php') or strpos($path, '.html')) {				
				halt(Config::get_file('refuse','error'));
			}

			if (strpos($path, 'Public')) {
				include_once $path;
				exit;
			}
			$path_arr = explode('/',trim($path,'/'));
			if (isset($path_arr[0])) :
				$this -> controller = $path_arr[0];
			endif;
			unset($path_arr[0]);

			if (isset($path_arr[1])) {
				$this -> action = $path_arr[1];
				unset($path_arr[1]);
			} else {
				$this -> action = Config::get_file('action','route');
			}

			$count = count($path_arr) + 2;
			$i = 2;
			while ($i < $count) {
				if (isset($path_arr[$i + 1])) :
					$_GET[$path_arr[$i]] = $path_arr[$i + 1];		
				endif;
				$i += 2;				
			}
			$this -> get = $path_arr;
		} else {
			$this -> controller = Config::get_file('controller','route');
			$this -> action = Config::get_file('action','route');
		}
	}
}

?>