<?php
/**
 * smarty
 **/

/* 
 
                       .::::. 
                     .::::::::. 
                    :::::::::::  I want to say... 
                ..:::::::::::' 
              '::::::::::::' 
                .:::::::::: 
           '::::::::::::::.. 
                ..::::::::::::. 
              ``:::::::::::::::: 
               ::::``:::::::::'        .:::. 
              ::::'   ':::::'       .::::::::. 
            .::::'      ::::     .:::::::'::::. 
           .:::'       :::::  .:::::::::' ':::::. 
          .::'        :::::.:::::::::'      ':::::. 
         .::'         ::::::::::::::'         ``::::. 
     ...:::           ::::::::::::'              ``::. 
    ```` ':.          ':::::::::'                  ::::.. 
                       '.:::::'                    ':'````.. 
 
 
*/
                       
if(!defined('ROOT')){exit('No direct script access allowed');}

class SmartyView {
	private static $smarty = NULL;
	public function __construct() {
		if (!is_null(self::$smarty)) return;
		$smarty = new Smarty();
		//模板目录
		$smarty -> template_dir = APP_VIEW;
		//编译
		$smarty -> compile_dir = APP_COMPILE;
		//缓存
		$smarty -> cache_dir = APP_CACHE;
		//边界符
		$smarty -> left_delimiter = Config::get_file('LEFT_DELIMITER','config');
		$smarty -> right_delimiter = Config::get_file('RIGHT_DELIMITER','config');
		//是否开启缓存
		$smarty -> caching = Config::get_file('CACHE_ON','config');
		//缓存时间
		$smarty -> cache_lifetime = Config::get_file('CACHE_LIFETIME','config');
		self::$smarty = $smarty;
	}

	protected function view($filename,$key = NULL,$value = NULL) {
		if (is_null($filename)) {
			self::$smarty -> assign('{$key}','{$value}');
		} else {
			$suffix = strchr($filename,'.');
			$file_path = empty($suffix)?$filename.'.html':$filename;
			self::$smarty -> display($file_path,$_SERVER['REQUEST_URI']);
		}
		
	}
	protected function is_cached($filename = NULL) {
		if (!Config::get_file('SMARTY_ON','config')) halt('smarty未开启！');
			$suffix = strchr($filename,'.');
			$file_path = empty($suffix)?APP_VIEW.'/'.$filename.'.html':APP_VIEW.'/'.$filename;
			return self::$smarty -> is_cached($file_path,$_SERVER['REQUEST_URI']);
	}
}