<?php
/**
 * 日志类
 */

/* 
 
                       .::::. 
                     .::::::::. 
                    :::::::::::  I want to say... 
                ..:::::::::::' 
              '::::::::::::' 
                .:::::::::: 
           '::::::::::::::.. 
                ..::::::::::::. 
              ``:::::::::::::::: 
               ::::``:::::::::'        .:::. 
              ::::'   ':::::'       .::::::::. 
            .::::'      ::::     .:::::::'::::. 
           .:::'       :::::  .:::::::::' ':::::. 
          .::'        :::::.:::::::::'      ':::::. 
         .::'         ::::::::::::::'         ``::::. 
     ...:::           ::::::::::::'              ``::. 
    ```` ':.          ':::::::::'                  ::::.. 
                       '.:::::'                    ':'````.. 
 
 
*/  

if(!defined('ROOT')){exit('No direct script access allowed');}
                       
class Log {
	public static function error($msg,$level = 'ERROR',$type = 3,$dest = NULL) {
		if (!Config::get_file('SAVE_ERROR_LOG','config')) return;
		if (is_null($dest)) :
			$dest = LOG.'/error/'.date('Y_m_d').'.log';
		endif;

		if (is_dir(LOG.'/error')) :
			error_log('[Time]: '.date('Y-m-d H:i:s').' [Leve]:'.$level. ' [Message]:'.$msg."\r\n",$type,$dest);
			
		endif;
	}

	public static function visit($controller,$action,$dest = NULL) {
		if (!Config::get_file('SAVE_VISIT_LOG','config')) return;
		if (is_null($dest)) :
			$dest = LOG.'/visit/'.date('Y_m_d').'.log';
		endif;

		if (is_dir(LOG.'/visit')) :
			$str = '[Time]: '.date('Y-m-d H:i:s').' [Controller]:'.$controller.' [Action]:'.$action.' [IP]:'.getIp()."\r\n";
			file_put_contents($dest, $str, FILE_APPEND|LOCK_EX);
		endif;
	}
}

?>